## puts

#### OS/161 Reference Manual

### Name

puts - print string to standard output

### Library

Standard C Library (libc, -lc)

### Synopsis

#include <stdio.h>
int
puts(const char *string);

### Description

The string string, and a following newline character, is printed on the standard output.

### Return Values

On success, puts returns a nonnegative integer. On error, -1 is returned, and errno is set according to the error encountered.

### Errors

Any of the errors from write may occur.